Subject: Re: Asterisk expansion...
From: [email-masked] (Fergus Henderson)

25 Jul 1998 09:49:47 -0700
Message-ID: <[email-masked]>
References: <7BEBE893ABDFD111AC3F00A0C96B159F5C4CD6@FMSMSX32>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Michael Hirmke <[email-masked]>
Cc: [email-masked]

On 24-Jul-1998, Michael Hirmke <[email-masked]> wrote:
> Hi Robertson,,
> 
> >There seems to be an inconsistency in how * is interpreted.  When you
> >run, say, 'echo.exe' from the commandline you get the following:
> C:>> echo *.*
> ><Contents of C: are listed>
> C:>> echo \*.\*
> >\*.\*
> >
> >So why does it expand the glob in the first instance, and not unescape
> >them in the second?  And doesn't this mean it's impossible to echo the
> >string:
> >*.*
> >from cmd?
> 
> You are assuming, that command.com / cmd.exe are using \ to escape
> characters, which isn't the case.

No; he is assuming that gnu-win32 should use \ to escape characters.
After all, it is gnu-win32 that is doing the globbing (expanding the
wildcards), not command.com or cmd.exe.

However, gnu-win32 uses quotes rather than \ to escape the globbing
mechanism.  This seems like a reasonable design choice, given the 
use of "\" in DOS style path names.

-- 
Fergus Henderson <[email-masked]>  |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>  |  of excellence is a lethal habit"
PGP: finger [email-masked]        |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".